精华内容
下载资源
问答
  • CMD命令进入退出文件夹

    万次阅读 2018-08-20 18:29:44
    需要了解两个命令 盘符: 例如想进入D盘 d: cd 进入到当前盘某个目录。 cd \ 进入当前盘根目录 cd \windows 进入到当前盘Windows目录 cd.. 退出到上一级目录 注:进入含有特殊字符目录时需要加引号 例如 cd "c:\...

    需要了解两个命令
    盘符: 例如想进入D盘 d:
    cd 进入到当前盘某个目录。
    cd \ 进入当前盘根目录
    cd \windows 进入到当前盘Windows目录
    cd.. 退出到上一级目录

    注:进入含有特殊字符目录时需要加引号 例如 cd "c:\program files"

    展开全文
  • ifconfig 查看系统网络配置pwd 查看当前工作目录(print working directory),输出当前位置ll 查看当前目录下的文件和文件夹,查看权限等详细信息(文件夹以d开头,文件-开头)ls -a 只显示目录中的文件mkdir 创建...

    ifconfig 查看系统网络配置

    6356bbb803f3aece723846d9a29cc68d.png

    pwd 查看当前工作目录(print working directory),输出当前位置

    ll 查看当前目录下的文件和文件夹,查看权限等详细信息(文件夹以d开头,文件-开头)

    ls -a 只显示目录中的文件

    0f7783f24a28e80b03b7e473cacdfab1.png

    mkdir 创建文件夹,不能创建文件

    cd 相对路径,切换到当前工作目录的下一级目录

    cd 绝对路径,可以在任意位置切换到任意目录

    cd空格.. 切换到上级目录,cd ../.. 切换至上上级目录

    cd / 切换回根目录,cd enter切换到登录目录

    [root@192/]当前为根目录

    [root@192~]当前为登录目录

    caf5258d9343363a5718f96fb510e240.png

    vi +文件名,打开或创建(没有的时候就创建,有了就打开)一个可编辑文件,同vim,然后i, o, a 切换到输入模式,输入完成后ESC,“:”+ W 保存;q 退出;!强制执行

    73f91633728da2c88db07178192606fe.png

    ea68d64bb030421bacf918db4518e02f.png

    mv +文件+要移去的位置,剪切并粘贴到此位置

    d58d54284dd014f1e0a41a6bc223b55a.png

    cp +文件名+位置,复制文件到某位置

    53fec478aacaede148942c0832261a50.png

    cat 文件名,查看文件内容

    tail -3+文件名,查看文件后三行

    tail -f +文件名,实时查看文件,在文件里,没退出,这时按Ctrl+c 退出

    be2cada57c333de81b776ceab8bdeddb.png

    9c5415eafa7b2bdd1dbce8e06e480f82.png

    rm -f 强制删除,无询问(谨慎使用)

    rm -r 删除,如文件夹内有文件,则删每个文件都询问

    rm 只能删除文件,不能删除文件夹

    9461be57aec9e588acaefd50dc2e5f52.png

    scp 用于在两个LINUX之间传文件

    scp local_file +另一个linux的名称@地址+文件夹

    scp local_file remote_username @remote_if:remote_folder

    find / -name +文件名,找所有路径下名为xx的文件的路径

    tar -cvf +目录文件(压缩文件.tar)+备份文件(原文件),压缩文件

    fcf8d7f546bca59dd07e1d653023e2a0.png

    tar -xvf +文件名,解压文件

    594f4d5460adf4ec6daf83a9bb5f5234.png

    date 不加参数,显示当前时间

    date -s +时间,修改时间(需要root权限)

    a6343552d19d0185ba802de0a95ec6b2.png

    8cca755bf0030e4d78bee56df04fedf8.png

    ps 查看进程

    ps a显示现行终端机下的所有程序,包括其他用户的进程

    ps c类似ps a,不包括路径

    ps -e 显示所有程序

    ps -au 显示更详细的资讯

    ps -aux 显示所有包含其他使用者的进程

    ps aux|grop usr 查看和usr相关的进程

    kill 用于终止一个进程,通常先用ps查看进程情况,再kill

    2815df7ca184fa9d174de65945cc74c4.png

    ping +主机名或IP地址,确定网络和各外部主机的状态

    7f887ff19f56abb5f8af14ad971c5c56.png

    su - root 低级别用户向高级别用户切换,之后需输入密码

    su - 名字 高级别向低级别用户切换,无需密码

    2d31c9e57949e4cc2325955f234047bc.png

    useradd +用户名,添加用户

    passwd (username)给用户设置密码

    264e84f01ea3ac3281d399a3fb660421.png

    chown 新账号名称 文件或目录,修改文件所有者(需要root权限)

    02ed6dbc68024e40300f7f44eccd7fa9.png

    mode 权限设定字符串

    u 表示该档案的拥有者,g表示与该档案拥有者属于同一个群体者,o表示其他以外的人,a表示三者皆是

    +表示增加权限、-表示取消权限、=表示唯一设定权限

    r表示可读取,w表示可写入,x表示可执行,X表示只有当该档案是个子目录或者该档案已经被设定过为可执行

    将档案file1.txt设定为所有人可读取

    chmod ugo+r file1.txt

    chmod a+r file1.txt

    将档案file1.txt和file2.txt设为该档案拥有者,与其所属群体者可写入,但其他以外的人不可写入

    chmod ug+w,o-w file1.txt file2.txt

    将当前目录下的所有档案与子目录皆设为任何人可读取

    chmod -R a+r

    r=4,w=2,x=1

    chmod a=rwx 和 chmod 777 file 效果一样

    e3267947a26c40b9a182bde51fae6509.png

    d559e4cbd5ce5b1f51a51582712f35a7.png
    展开全文
  • Linux命令之exit - 退出当前shell

    千次阅读 2021-05-09 06:12:51
    用途说明exit命令用于退出当前shell,在shell脚本中可以终止当前脚本执行。常用参数格式:exit n退出。设置退出码为n。(Cause the shell to exit with a status of n.)格式:exit退出。退出码不变,即为最后一个命令...

    用途说明

    exit命令用于退出当前shell,在shell脚本中可以终止当前脚本执行。

    常用参数

    格式:exit n

    退出。设置退出码为n。(Cause the shell to exit with a status of n.)

    格式:exit

    退出。退出码不变,即为最后一个命令的退出码。(If n is omitted, the exit status is that of the  last  command executed. )

    格式:$?

    上一个命令的退出码。

    格式:trap "commands" EXIT

    退出时执行commands指定的命令。( A trap on EXIT is executed before the shell terminates.)

    退出码(exit status,或exit code)的约定:

    0表示成功(Zero - Success)

    非0表示失败(Non-Zero  - Failure)

    2表示用法不当(Incorrect Usage)

    127表示命令没有找到(Command Not Found)

    126表示不是可执行的(Not an executable)

    >=128 信号产生

    man 3 exit 写道

    The C standard specifies two constants, EXIT_SUCCESS and EXIT_FAILURE, that may be passed to exit() to indicate

    successful or unsuccessful termination, respectively.

    以下摘自/usr/include/stdlib.h

    C代码

    0818b9ca8b590ca3270a3433284dd417.png

    #define EXIT_FAILURE    1       /* Failing exit status.  */

    #define EXIT_SUCCESS    0       /* Successful exit status.  */

    BSD试图对退出码标准化。

    man 3 exit 写道

    BSD has attempted to standardize exit codes; see the file .

    以下摘自/usr/include/sysexits.h

    C代码

    0818b9ca8b590ca3270a3433284dd417.png

    #define EX_OK           0       /* successful termination */

    #define EX__BASE        64      /* base value for error messages */

    #define EX_USAGE        64      /* command line usage error */

    #define EX_DATAERR      65      /* data format error */

    #define EX_NOINPUT      66      /* cannot open input */

    #define EX_NOUSER       67      /* addressee unknown */

    #define EX_NOHOST       68      /* host name unknown */

    #define EX_UNAVAILABLE  69      /* service unavailable */

    #define EX_SOFTWARE     70      /* internal software error */

    #define EX_OSERR        71      /* system error (e.g., can't fork) */

    #define EX_OSFILE       72      /* critical OS file missing */

    #define EX_CANTCREAT    73      /* can't create (user) output file */

    #define EX_IOERR        74      /* input/output error */

    #define EX_TEMPFAIL     75      /* temp failure; user is invited to retry */

    #define EX_PROTOCOL     76      /* remote error in protocol */

    #define EX_NOPERM       77      /* permission denied */

    #define EX_CONFIG       78      /* configuration error */

    #define EX__MAX 78      /* maximum listed value */

    使用示例

    示例一 退出当前shell

    [root@new55 ~]#

    [root@new55 ~]# exit

    logout

    示例二 在脚本中,进入脚本所在目录,否则退出

    Bash代码

    0818b9ca8b590ca3270a3433284dd417.png

    cd $(dirname $0) || exit 1

    示例三 在脚本中,判断参数数量,不匹配就打印使用方式,退出

    Bash代码

    0818b9ca8b590ca3270a3433284dd417.png

    if [ "$#" -ne "2" ]; then

    echo "usage: $0  "

    exit 2

    fi

    示例四 在脚本中,退出时删除临时文件

    Bash代码

    0818b9ca8b590ca3270a3433284dd417.png

    trap "rm -f tmpfile; echo Bye." EXIT

    示例五 检查上一命令的退出码

    Bash代码

    0818b9ca8b590ca3270a3433284dd417.png

    ./mycommand.sh

    EXCODE=$?

    if [ "$EXCODE" == "0" ]; then

    echo "O.K"

    fi

    问题思考

    相关资料

    展开全文
  • 命令行如何进入退出文件夹

    千次阅读 2020-03-03 15:29:50
    ①win+R输入cmd ②如果想进入D盘 则D: ③cd 进入到当前盘某个目录 ④cd.. 退出到上一级目录

    ①win+R输入cmd

    ②如果想进入D盘 则D:

    ③cd 进入到当前盘某个目录

    ④cd.. 退出到上一级目录

    展开全文
  • 批处理删除文件夹命令Till now we haven’t discussed about the most important commands that provide actual functionality to the batch files, which are none other than file and folder manipulation ...
  • Linux必懂基础命令

    千次阅读 2021-05-11 23:34:40
    文件1、cd命令。切换目录命令。cd 单独一个cd,切换到用户主目录cd ~ 切换到用户主目录cd ...ls 显示当前文件夹下的文件和文件夹ls -l 显示目录内容列表,包括权限模式、硬连接数、所有者、组、文件大小和文件的最后...
  • vi是一个特殊的命令,也不光是命令还是Linux下的编辑器,由于篇幅关系就不在这边多做举例说明,讲在以后配置网络服务时介绍一些vi的实际应用。vi命令是Linux下全屏幕文本编辑,vi编辑提供了丰富的编辑功能。这个编辑...
  • linux 新建文件夹命令

    千次阅读 2021-02-06 17:00:54
    今天学习了几个命令,是创建、删除文件和文件夹的,在linux里,文件夹是目录,下面说下我学习的命令。 创建文件夹【mkdir】 一、mkdir命令使用权限 所有用户都可以在终端使用 mkdir 命令在拥有权限的文件夹创建...
  • set/p Pan=请输入要清理文件夹,回车确认: cls&echo 即将开始清理。。。&ping 0 -n "3">nul cd /d %Pan% for /f "delims=" %%a in ('dir /ad/s/b') do ( dir /a-d/s/b...
  • linux创建文件夹命令

    千次阅读 2021-03-05 16:05:03
    今天学习了几个命令,是创建、删除文件和文件夹的,在linux里,文件夹是目录,下面说下我学习的命令。 创建文件夹【mkdir】 一、mkdir命令使用权限 所有用户都可以在终端使用 mkdir 命令在拥有权限的文件夹创建...
  • 当前文件夹和路径设置1.当前文件夹及其使用2.搜索路径和路径设置三.工作内存区和历史命令窗1.工作内存区、交互绘图2.变量编辑器3.历史命令窗四.帮助系统1.浏览器帮助系统2.函数命令浏览器3.help帮助命令4.词条搜索...
  • ftp命令上传文件及文件夹

    万次阅读 2019-08-21 15:43:27
    不想下载客户端,懒得写上传脚本,直接通过ftp命令把文件丢到服务器。 目标:将本地目录/local_a下的内容,上传到服务器/server_b目录中。...2、常看服务器当前目录内容: 输入命令: ls 3、进入目录/server_b...
  • linux虚拟机常用命令

    千次阅读 2020-12-23 14:48:15
    OS 区别安装命令:contOS :yum install 程序乌班图: apt install 程序MacOS:brew文件操作基本命令[cd]:进入主目录命令:进入root: [su]回车输入密码回车即可。查看ip: [ip addre] 2:en33后面inet 就是ip地址。...
  • Linux如何用命令创建文件和文件夹

    千次阅读 2020-10-03 08:50:34
    linux中如何使用命令创建文件,并执行: 1、通过快捷方式(CTRL+ALT+T键)打开终端命令窗口,我们在终端实现操作。 ccoy@ccoy-PC:~$ 2、进入目录之后,转到需要的目录之下: ccoy@ccoy-PC:~$ cd demo ccoy@ccoy-PC...
  • 批处理BAT命令创建日期文件夹

    万次阅读 2018-04-24 20:54:16
    每天工作的内容可以按照日期分档存放 , 如以下结构|: 2018 |: 2018-04 |: 18-04-24 |: 18-04-23 |: 2018-03但这样枯燥无味的工作如果每天手动创建的话那就太浪费时间了, SO , 干脆用几行BAT命令来写一个吧@echo...
  • linux基础命令

    千次阅读 2021-05-10 09:00:24
    目录与文件相关命令 (1)显示文件和目录列表 $ ls (2)切换目录 $ cd (3)显示当前所在工作目录 $ pwd (4)创建文件 $ touch (5)复制文件 $ cp (6)移动文件 $ mv (7)删除文件 $ rm (8)显示文件内容 $ ...
  • Linux 学习之创建、删除文件和文件夹命令

    万次阅读 多人点赞 2017-09-05 18:26:38
    今天学习了几个命令,是创建、删除文件和文件夹的,在linux里,文件夹是目录,下面说下我学习的命令。 创建文件夹【mkdir】 一、mkdir命令使用权限 所有用户都可以在终端使用 mkdir 命令在拥有权限的文件夹...
  • securecrt怎么退出当前指令

    千次阅读 2020-12-29 10:17:23
    常用命令:一、ls 只列出文件名 ...二、cd 改变目录cd /:进入根目录cd :回到自己的目录(用户不同则目录也不同,root为/root,xxt为/home/xxtcd ..:回到上级目录pwd:显示当前所在的目录三.less 文件名:查看文件内...
  • 用cmd 如何输入命令进入文件夹

    万次阅读 2018-08-15 23:56:55
    需要了解两个命令 盘符: 例如想进入D盘 d: cd 进入到当前盘某个目录。 cd \ 进入当前盘根目录 cd \windows 进入到当前盘Windows目录 cd.. 退出到上一级目录 注:进入含有特殊字符目录时需要加引号 例如 cd "c:\...
  • linux 创建、删除文件和文件夹 命令

    千次阅读 2015-12-19 13:21:40
     所有用户都可以在终端使用 mkdir 命令在拥有权限的文件夹创建文件夹或目录。  二、mkdir命令使用格式  格式:mkdir [选项] DirName  三、mkdir命令功能  通过 mkdir 命令可以实现在指定位置创建以 DirName...
  • 用cmd 如何输入命令 进入文件夹

    千次阅读 2018-11-12 09:25:42
    用cmd 如何输入命令 进入文件夹
  • 这篇博客中Linux命令并不全面,只是个人工作中,自己常用的Linux命令,记录下来,方便以后自己查看记录! 1:ls:查看目录和文件列表 -a 查看所有(隐藏) -r 逆序 -t 按时间排序 -l 相看详情 2:cd:切换当前...
  • // 倒数第二行是文件夹大小行    Regex rgline = new Regex(@"^ +\d+[^\d]+\d+[^\d]+$"); //截获" 188292 个文件 91,582,418,518 字节"格式  Regex regdig = new Regex(@"\d+");    if (rgline....
  • 文件夹命令:   mkdir命令: 创建文件夹 make directories缩写  -p 根据需要制作父目录 创建多级目录时需要用到该参数 ...mkdir abc 意思是在当前文件夹...mkdir ./x/{a,b,c}dir 在当前文件夹下创建三个 x/a...
  • ls 查看文件夹内容,查看当前目录

    万次阅读 2019-03-20 22:19:17
    2.1 ls 查看文件夹中内容,查看当前目录 语法:ls [OPTION]… [FILE]… 2.1.1 ls命令显示内容介绍 第一列:表示文件类别和权限信息 第一列表文类别和权限信息,由10个字符组成 第一个字符:表示文件类型, ...
  • 使用前 import os导入模块 os模块: os.sep 可以取代操作系统特定的路径分割符 os.linesep 字符串给出当前平台使用的行终止符。例如,Wi
  • linux vi保存退出指令(如何退出vi)

    千次阅读 2021-05-09 06:44:54
    有很多方法 退出Vi 当编辑完文件准备退出Vi返回到shell时可以使用以下几种方法之一 在命令模式中连按两次大写字母Z若当前编辑的文件曾被修改过则Vi保存该文件后退出返回到shell;若当前编辑的文件没被修改过则Vi直接...
  • 今天学习了几个命令,是创建、删除文件和文件夹的,在linux里,文件夹是目录,下面说下我学习的命令。创建文件夹【mkdir】 一、mkdir命令使用权限所有用户都可以在终端使用 mkdir 命令在拥有权限的文件夹创建文件夹...
  • git bash 下操作文件及文件夹命令

    千次阅读 2020-12-21 11:24:40
    当我们用cd 进入文件夹时,我们可以使用 通配符*, cd f*, 如果E盘下只有一个f开头的文件夹,它就会进入到这个文件夹.2, cd .. 回退到上一个目录。我们在写js,引入文件时,.. 表示的就是上一个目录, 所以 cd .. 回退...
  • 当前用户只操作当前用户目录 1. 输入终端显示内容: 用户 @ 系统 : 路径信息 $ $ 表示普通用户 家目录 # 表示超级用户 家目录 ...相对路径:相对当前所在的文件夹路径 pwd ----> /hon...

空空如也

空空如也

1 2 3 4 5 ... 20
收藏数 144,758
精华内容 57,903
关键字:

命令退出当前文件夹